Subject: Re: Missing ANSI functions?
From: [email-masked] (Fernandes, Hilton)

11 Nov 1997 19:48:15 -0800
Message-ID: <[email-masked]>
References: <01bcee57$f34545a0$ea6bc9cf@default>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: "Jon & Sue Trauntvein" <[email-masked]>, [email-masked]
Cc: "Fernandes, Hilton" <[email-masked]>

On 10 Nov 97 at 21:11, Jon & Sue Trauntvein <[email-masked]> wrote:

> Greetings,
> 
> I have been recently porting some code that I had originally written for Visual C++. 
> In so doing, I have come accross some functions that I thought were a part of the ANSI C 
> library but don't appear to be a part of the standard library distributed
> with the Cygnus compiler. These functions are strrev (reverse a
> "C" string in place) and itoa (convert a signed integer to an
> ASCII string). Is there something that I am doing wrong or are
> these functions truly missing?

Hi!

Neither strrev() nor itoa() are part of ANSI C, as far as my copy of Plauger & 
Brodie's Standard C inform.  

Both can be easily written in C.  It is possible that the versions in the VC
library were written in optimized x86 assembly.  But if you don't use them
very often, the performance lost is negligible.

Best regards,
++Hilton

----
Hilton Fernandes
[email-masked]
http://www.geocities.com/SiliconValley/Lakes/5657
URLs and help on C++ programming and Object-Oriented Design
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".